Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class Vertex.Pattern

    java.lang.Object
      de.grogra.xl.query.Pattern
          de.grogra.xl.query.UserDefinedPattern
              de.grogra.xl.query.AttributeListPattern
                  de.grogra.xl.impl.base.FieldListPattern
                      de.grogra.imp3d.objects.Vertex.Pattern

All Implemented Interfaces:
  XObject, BytecodeSerialization.Serializable

Enclosing class:
  Vertex

    public static class Vertex.Pattern

extends FieldListPattern

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.xl.query.UserDefinedPattern
`UserDefinedPattern.In, UserDefinedPattern.Out`

Nested classes/interfaces inherited from class de.grogra.xl.query.Pattern
`Pattern.Matcher`

Field Summary

Fields inherited from class de.grogra.xl.query.Pattern
`CONTEXT_MASK, INPUT_MASK, NODE_MASK, NULL_MATCHER, OUTPUT_MASK`

Constructor Summary
`Vertex.Pattern()`

Method Summary
`static void` | `signature(Vertex v, float s)`

Methods inherited from class de.grogra.xl.impl.base.FieldListPattern
`getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getObject, getShort, paramString`

Methods inherited from class de.grogra.xl.query.AttributeListPattern
`createMatcher, getParameterKind`

Methods inherited from class de.grogra.xl.query.UserDefinedPattern
`findSignatureMethod, getSignature, getXClass, getXData, initXClass, write`

Methods inherited from class de.grogra.xl.query.Pattern
`getDeclaredParameterCount, getParameterCount, getParameterType, isDeleting, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Vertex.Pattern

    public Vertex.Pattern()

Method Detail

### signature

    public static void signature(@UserDefinedPattern.In@UserDefinedPattern.Out
                                 Vertex v,
                                 float s)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD